FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102200141.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102200141.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=86e803b OS_GIT_VERSION=4.6.0-202102200141.p0-86e803b SOURCE_DATE_EPOCH=1611954159 SOURCE_GIT_COMMIT=86e803b4a2cf264cabe8acec6d56b8b62e64cf23 SOURCE_GIT_TAG=86e803b SOURCE_GIT_URL=https://github.com/openshift/ovirt-csi-driver-operator 
WORKDIR /go/src/github.com/openshift/ovirt-csi-driver-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.6.0.20210220.022506
ENV __doozer=update BUILD_RELEASE=202102200141.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102200141.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=86e803b OS_GIT_VERSION=4.6.0-202102200141.p0-86e803b SOURCE_DATE_EPOCH=1611954159 SOURCE_GIT_COMMIT=86e803b4a2cf264cabe8acec6d56b8b62e64cf23 SOURCE_GIT_TAG=86e803b SOURCE_GIT_URL=https://github.com/openshift/ovirt-csi-driver-operator 
COPY --from=builder /go/src/github.com/openshift/ovirt-csi-driver-operator/ovirt-csi-driver-operator /usr/bin/
COPY manifests /manifests


USER 1001 
ENTRYPOINT ["/usr/bin/ovirt-csi-driver-operator"]

LABEL \
        io.k8s.display-name="OpenShift ovirt-csi-driver-operator" \
        io.k8s.description="The ovirt-csi-driver-operator installs and maintains the oVirt CSI Driver on a cluster." \
        name="openshift/ose-ovirt-csi-driver-operator" \
        com.redhat.component="ose-cluster-ovirt-csi-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="oVirt CSI Driver" \
        release="202102200141.p0" \
        io.openshift.build.commit.id="86e803b4a2cf264cabe8acec6d56b8b62e64cf23" \
        io.openshift.build.source-location="https://github.com/openshift/ovirt-csi-driver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ovirt-csi-driver-operator/commit/86e803b4a2cf264cabe8acec6d56b8b62e64cf23" \
        version="v4.6.0"

